当前位置:论坛首页 > Linux面板 > 求助

【已回应】数据库导出遇到包含的字段多于1000,修改max_inp...

发表在 Linux面板2019-12-7 13:27 [复制链接] 7 101

本帖最后由 谢花郎 于 2019-12-7 14:52 编辑

QQ图片20191207132505.png QQ图片20191207132624.png

数据库导出遇到包含的字段多于1000,修改max_input_vars值无效,宝塔面板版本:
QQ图片20191207132628.png

php7.3  mysql5.7.26  phpmyadmin4.8
请问如何解决
使用道具 举报 只看该作者 回复
发表于 2019-12-7 14:51:48 | 显示全部楼层
您好,修改完后点击重载配置文件后再重新启动看看。
使用道具 举报 回复 支持 反对
发表于 2019-12-7 15:35:49 | 显示全部楼层
谢花郎 发表于 2019-12-7 14:51
您好,修改完后点击重载配置文件后再重新启动看看。

重载配置按钮在哪里呢?没找到呢,我重启了php不行,重启了服务器还是不行,但是使用宝塔后台数据库备份功能是可以的,就是phpmyadmin中导出不行。以前自建环境的时候也遇到过,但是修改了php配置文件max_input_vars后可以导出。
使用道具 举报 回复 支持 反对
发表于 2019-12-7 15:39:23 | 显示全部楼层
skywesdy 发表于 2019-12-7 15:35
重载配置按钮在哪里呢?没找到呢,我重启了php不行,重启了服务器还是不行,但是使用宝塔后台数据库备份 ...

如果有多个php版本,修改的php版本是需要修改phpmyadmin内使用的php版本设置。修改完后再重载配置看看
326.png
使用道具 举报 回复 支持 反对
发表于 2019-12-7 16:14:53 | 显示全部楼层
1.分多次导出;
2.从宝塔面板对数据库进行导出。
使用道具 举报 回复 支持 反对
发表于 2019-12-9 14:21:53 | 显示全部楼层
谢花郎 发表于 2019-12-7 15:39
如果有多个php版本,修改的php版本是需要修改phpmyadmin内使用的php版本设置。修改完后再重载配置看看 ...

只有一个php版本,不存在多个php版本的情况
使用道具 举报 回复 支持 反对
发表于 2019-12-9 14:22:24 | 显示全部楼层
skywesdy 发表于 2019-12-9 14:21
只有一个php版本,不存在多个php版本的情况

对于楼上用户给的两个方法,第二个方法是没问题,第一个方法多次导出也不行,也是提示这个
使用道具 举报 回复 支持 反对
发表于 2019-12-9 14:23:26 | 显示全部楼层
Xeath 发表于 2019-12-7 16:14
1.分多次导出;
2.从宝塔面板对数据库进行导出。

提交问题的时候就试过了,宝塔后台导出可以,phpmyadmin不行,分批也不行
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表